.header-container {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  max-height: 100vh;
  overflow: hidden;
}

.header-container .overlay {
  background-color: var(--overlay-rgba);
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
  overflow: hidden;
}

.header-container .header-content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 2;
  color: var(--main-color);
  text-shadow: 1px 1px 1px var(--overlay-rgba);
}
.header-container .header-content div {
  display: flex;
}
.header-container .header-content h1 {
  font-family: var(--hand-write);
  font-size: 10rem;
  line-height: 1.2;
  display: flex;
  flex-direction: row;
}
.header-container .header-content h2 {
  font-family: var(--hand-write);
  font-size: 3.5rem;
}
.header-container .header-content h3 {
  font-family: var(--description-font);
  font-size: 1rem;
  color: var(--description-color);
}

.header-btn {
  margin-top: 1rem;
}

.header-btn .btn:hover a {
  color: var(--main-color);
}

/*  **************  MEDIA QUERIES ( SMALL DEVICES )  ****************  */
@media screen and (max-width: 600px) {
  .header-content {
    padding: 1rem;
  }
  .header-container .header-content h1 {
    font-family: var(--hand-write);
    font-size: 5rem;
    line-height: 1.2;
    display: flex;
    flex-direction: row;
  }
  .header-container .header-content h2 {
    font-family: var(--hand-write);
    font-size: 2rem;
  }
  .header-container .header-content h3 {
    font-family: var(--description-font);
    font-size: 1rem;
    color: var(--description-color);
  }
  .header-btn {
    margin-top: 8px;
  }
  .header-container .header-content .btn {
    font-size: 0.8rem;
  }
}
